
protocol BlockLineProcessor: BlockProcessor {

    func process(_ lines: [String], markdown: Substring) -> String
}

extension BlockLineProcessor {

    func process(_ markdown: Substring) -> String {
        let lines = markdown
            .between("```\(Self.blockId.self)", and: "```")
            .components(separatedBy: "\n")
        return process(lines, markdown: markdown)
    }
}
